<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Exportaci&oacute;n Libro de Compras y Ventas</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../general.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];

$usuario = $_POST["usuario"];
$ano_det=$_POST["ano_det"];
$mes_det=$_POST["mes_det"];

$n_decimales = 2;


?>
<body>
<?php


//Inicio Exportacion Libro de Compras y Ventas

if($rep == 9 && $tipo == 1) { // if 2

  	if ($mes_det == 1) { $nom_mes = 'Enero'; }
	if ($mes_det == 2) { $nom_mes = 'Febrero'; }
	if ($mes_det == 3) { $nom_mes = 'Marzo'; }
	if ($mes_det == 4) { $nom_mes = 'Abril'; }
	if ($mes_det == 5) { $nom_mes = 'Mayo'; }
	if ($mes_det == 6) { $nom_mes = 'Junio'; }
	if ($mes_det == 7) { $nom_mes = 'Julio'; }
	if ($mes_det == 8) { $nom_mes = 'Agosto'; }
	if ($mes_det == 9) { $nom_mes = 'Septiembre'; }
	if ($mes_det == 10) { $nom_mes = 'Octubre'; }
	if ($mes_det == 11) { $nom_mes = 'Noviembre'; }
	if ($mes_det == 12) { $nom_mes = 'Diciembre'; }
	
	$fechaini = $ano_det.'-'.$mes_det.'-'.'01';
	$mes_d = mktime( 0, 0, 0, $mes_det, 1, $ano_det ); 
	$dias_mes = intval(date("t",$mes_d));
	//echo $dias_mes;
	$fechafin = $ano_det.'-'.$mes_det.'-'.$dias_mes;

		//listado de facturas compras
		$result = mysqli_query($link, "select t.codigo as codigo, t.nro_fac as nro_fac,
t.nro_auto as nro_auto, t.fecha as fecha, 
t.cod_control as cod_control, t.cod_prov as cod_prov, 
t.proveedor as proveedor, t.nit as nit, t.total_bruto as total_bruto, 
t.ice as ice, t.excento as excento, t.total_neto as total_neto,
t.credito as credito
from
(select a.pkyPurchasesLedger as codigo, a.fldNumber as nro_fac,
a.fldAuthorization as nro_auto, a.fldDate as fecha, 
a.fldControlCode as cod_control, a.codSupplier as cod_prov, 
a.fldName as proveedor, a.fldNIT as nit, a.fldGrossTotal as total_bruto,
a.fldICE as ice, a.fldExempt as excento, a.fldNetTotal as total_neto,
a.fldTaxCredit as credito
from
txsPurchasesLedger a
where
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.sysEnabled = 1 AND a.sysAuthorized = 1

UNION ALL

select a.pkyImportDocument as codigo, a.fldNumber as nro_fac, 
3 as nro_auto, a.fldPaymentDate as fecha, 
0 as cod_control, a.codSupplier as cod_prov, 
a.fldName as proveedor, a.fldNIT as nit, a.fldTotal as total_bruto, 
0 as ice, 0 as excento, a.fldTotal as total_neto, 
a.fldTotalVAT as credito 
from 
pchImportDocument a 
where 
a.fldPaymentDate >= '$fechaini' and
a.fldPaymentDate <= '$fechafin' and
a.sysEnabled = 1 AND a.sysAuthorized = 1


UNION ALL 

select a.pkyTicket as codigo, a.fldNumber as nro_fac, 
1 as nro_auto, a.fldDate as fecha, 
0 as cod_control, a.codSupplier as cod_prov, 
a.fldName as proveedor, a.fldNIT as nit, a.fldGrossTotal as total_bruto, 
0 as ice, a.fldExempt as excento, a.fldNetTotal as total_neto, 
a.fldTaxCredit as credito
from 
txsTicket a 
where 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
a.sysEnabled = 1 AND a.sysAuthorized = 1) t 
order by t.fecha, t.proveedor, t.nro_auto;");
		

$matriz_compras = array();
$i = 1;
while ($row = mysqli_fetch_array($result)) {
	$matriz_compras [$i][1] = $row['codigo'];
	$matriz_compras [$i][2] = $row['nro_fac'];
	$matriz_compras [$i][3] = $row['nro_auto'];
	$matriz_compras [$i][4] = $row['fecha'];
	$matriz_compras [$i][5] = $row['cod_control'];
	if($row['cod_control'] == NULL){
		$matriz_compras [$i][5] = 0;
	} else {
		$matriz_compras [$i][5] = $row['cod_control'];
	}
	$matriz_compras [$i][6] = $row['cod_pro'];
	$matriz_compras [$i][7] = $row['proveedor'];
	$matriz_compras [$i][8] = $row['nit'];
	$matriz_compras [$i][9] = $row['total_bruto'];
	$matriz_compras [$i][10] = $row['ice'];
	$matriz_compras [$i][11] = $row['excento'];
	$matriz_compras [$i][12] = $row['total_neto'];
	$matriz_compras [$i][13] = $row['credito'];
	$i++;
}
$fin_c = $i - 1;
mysqli_free_result($result);


//listado de facturas ventas
		$result1 = mysqli_query($link, "select a.pkySalesLedger as codigo, a.fldNumber as nro_fac,
a.fldAuthorization as nro_auto, a.fldDate as fecha, 
a.fldControlCode as cod_control, a.codClient as cod_cli, 
a.fldName as cliente, a.fldNIT as nit, a.fldGrossTotal as total_bruto,
a.fldICE as ice, a.fldExempt as excento, a.fldNetTotal as total_neto,
a.fldTaxDebit as debito, case a.sysEnabled when 0 then 'A' else 'V' end as estado
from
txsSalesLedger a
where
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' 
order by fecha;");
		

$matriz_ventas = array();
$i = 1;
while ($row = mysqli_fetch_array($result1)) {
	$matriz_ventas [$i][1] = $row['codigo'];
	$matriz_ventas [$i][2] = $row['nro_fac'];
	$matriz_ventas [$i][3] = $row['nro_auto'];
	$matriz_ventas [$i][4] = $row['fecha'];
	if($row['cod_control'] == NULL){
		$matriz_ventas [$i][5] = 0;
	} else {
		$matriz_ventas [$i][5] = $row['cod_control'];
	}
	$matriz_ventas [$i][6] = $row['cod_cli'];
	$matriz_ventas [$i][7] = $row['cliente'];
	$matriz_ventas [$i][8] = $row['nit'];
	$matriz_ventas [$i][9] = $row['total_bruto'];
	$matriz_ventas [$i][10] = $row['ice'];
	$matriz_ventas [$i][11] = $row['excento'];
	$matriz_ventas [$i][12] = $row['total_neto'];
	$matriz_ventas [$i][13] = $row['debito'];
	$matriz_ventas [$i][14] = $row['estado'];
	//para las facturas anuladas
	if($row['estado'] == 'A') { //if estado
		$matriz_ventas [$i][5] = 0;
		$matriz_ventas [$i][7] = 'ANULADA';
		$matriz_ventas [$i][8] = 0;
		$matriz_ventas [$i][9] = 0;
		$matriz_ventas [$i][10] = 0;
		$matriz_ventas [$i][11] = 0;
		$matriz_ventas [$i][12] = 0;
		$matriz_ventas [$i][13] = 0;
	} //fin if estado
	$i++;
}
$fin_v = $i - 1;
mysqli_free_result($result1);

//if($resultado == 0) { //if resultado
?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><b>Empresa: <?php echo $nombre_empresa; ?><br/>NIT: <?php echo $mi_nit; ?></b>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table><br/>
<p><center><font color="#000099" size="+1"><b>Exportaci&oacute;n Libro de Compras y Ventas</b></font></center></p>
<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>	
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>A&ntilde;o: </b><?php echo $ano_det; ?></TD>
        <TD width="25%"><b>Mes: </b><?php echo $nom_mes; ?></TD>
        <TD width="25%"><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
        <TD width="25%"><b>Expresado en: </b><?php echo $nom_moneda_principal; ?></TD>
        </TR>
    </table>

</td>
<!--
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $ultimo_tc; ?>&user=<?php echo $usuario; ?>" title="Tipo de Cambio"><?php echo $ultimo_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
-->
</tr>
</table>
<br /> 
<table border="1" align="center" cellpadding="2" width="100%">
 		<TR> 
 		<TD align="center"><b>Nro.</b></TD>
        <TD align="center"><b>Detalle</b></TD>
    	<TD align="center"><b>Nombre Archivo</b></TD>
        <TD align="center"><b>Compras</b></TD>
        <TD align="center"><b>Ventas</b></TD>
        <TD align="center"><b>Guardar</b></TD>
        </TR>

  <?php
  	//COMPRAS
  	$nombre_archivo = 'compras_'.$mes_det.$ano_det.'_'.$mi_nit;
	$total_compras = 0;
	$f = fopen("exp/$nombre_archivo.txt","w");
	$sep = "|";
	$fin_de_linea = "\r\n";

	$j = 1;
	while ($j <= $fin_c) { //while
		$fecha_emision = $matriz_compras [$j][4];
		$ano1 = substr($fecha_emision,0,4);
		$mes1 = substr($fecha_emision,5,2);
		$dia1 = substr($fecha_emision,8,2);
		$valor_poliza = 0;
		$fecha_emision = $dia1 . '/' . $mes1 . '/' . $ano1;
		if($matriz_compras [$j][3] == 3) { //if poliza
			$iva013 = $monto_iva / 100;
			$valor_poliza = $matriz_compras [$j][2];
			$matriz_compras [$j][2] = 0;
			$matriz_compras [$j][9] = $matriz_compras [$j][13] / $iva013;
			$matriz_compras [$j][12] = $matriz_compras [$j][9];
		} // fin if poliza
		$linea = 1 . $sep . $matriz_compras [$j][8] . $sep . $matriz_compras [$j][7] . $sep . $matriz_compras [$j][2] . $sep . $valor_poliza . $sep . $matriz_compras [$j][3] . $sep . $fecha_emision . $sep . number_format($matriz_compras [$j][9],2, '.', '') . $sep . number_format($matriz_compras [$j][10],2, '.', '') . $sep . number_format($matriz_compras [$j][11],2, '.', '') . $sep . number_format($matriz_compras [$j][12],2, '.', '') . $sep . number_format($matriz_compras [$j][13],2, '.', '') . $sep . $matriz_compras [$j][5] . $fin_de_linea; 
		$total_compras = $total_compras + $matriz_compras [$j][12];
		fwrite($f,$linea);
		$j++;
	}//fin while
	fclose($f); 
	$fichero = "exp/".$nombre_archivo.".txt";
	printf("<tr BGCOLOR='#e2e7fa'><td align='center'>1</td>");//numero
	
	if(!file_exists($fichero)) {
		printf("<td align='left'>El archivo no se gener&oacute; !, revise los par&aacute;metros</td>");//detalle
	} else {
		printf("<td align='left'>Archivo generado exitosamente !</td>");//detalle
	}
	printf("<td align='left'>%s</td>", substr($fichero,4));//nombre
	printf("<td align='right'>%s</td>", number_format($total_compras,$n_decimales));//compras
	printf("<td align='right'>&nbsp;</td>");//ventas
	printf("<td align='center'><a href='descarga.php?fichero=$fichero' title='Guardar Archivo'><img src='../../Images/filesave.png' alt='Guardar Archivo' /></a></td></tr>");//guardar
	//echo "<a href='descarga.php?fichero=$fichero'> Guardar Archivo </a> ";
	
	//VENTAS
	$nombre_archivo = 'ventas_'.$mes_det.$ano_det.'_'.$mi_nit;
	$total_ventas = 0;
	$f = fopen("exp/$nombre_archivo.txt","w");
	$sep = "|";
	$fin_de_linea = "\r\n";

	$j = 1;
	while ($j <= $fin_v) { //while
		$fecha_emision = $matriz_ventas [$j][4];
		$ano1 = substr($fecha_emision,0,4);
		$mes1 = substr($fecha_emision,5,2);
		$dia1 = substr($fecha_emision,8,2);
		$fecha_emision = $dia1 . '/' . $mes1 . '/' . $ano1;
		$linea = $matriz_ventas [$j][8] . $sep . $matriz_ventas [$j][7] . $sep . $matriz_ventas [$j][2] . $sep . $matriz_ventas [$j][3] . $sep . $fecha_emision . $sep . number_format($matriz_ventas [$j][9],2, '.', '') . $sep . number_format($matriz_ventas [$j][10],2, '.', '') . $sep . number_format($matriz_ventas [$j][11],2, '.', '') . $sep . number_format($matriz_ventas [$j][12],2, '.', '') . $sep . number_format($matriz_ventas [$j][13],2, '.', '') . $sep . $matriz_ventas [$j][14] . $sep . $matriz_ventas [$j][5] . $fin_de_linea; 
		if($matriz_ventas [$j][14] == 'V'){
		$total_ventas = $total_ventas + $matriz_ventas [$j][12];
		}
		fwrite($f,$linea);
		$j++;
	}//fin while
	fclose($f); 
	$fichero = "exp/".$nombre_archivo.".txt";
	printf("<tr><td align='center'>2</td>");//numero
	
	if(!file_exists($fichero)) {
		printf("<td align='left'>El archivo no se gener&oacute; !, revise los par&aacute;metros</td>");//detalle
	} else {
		printf("<td align='left'>Archivo generado exitosamente !</td>");//detalle
	}
	printf("<td align='left'>%s</td>", substr($fichero,4));//nombre
	printf("<td align='right'>&nbsp;</td>");//compras
	printf("<td align='right'>%s</td>", number_format($total_ventas,$n_decimales));//ventas
	printf("<td align='center'><a href='descarga.php?fichero=$fichero' title='Guardar Archivo'><img src='../../Images/filesave.png' alt='Guardar Archivo' /></a></td></tr>");//guardar
  
//TOTAL
	$nombre_archivo = 'TOTALES_'.$mes_det.$ano_det;
	
	$f = fopen("exp/$nombre_archivo.txt","w");
	$sep = "|";
	$fin_de_linea = "\r\n";

	$linea = 'TOTAL COMPRA' . $sep . number_format($total_compras,2, '.', '') . $fin_de_linea . 'TOTAL VENTA' . $sep . number_format($total_ventas,2, '.', ''); 
	fwrite($f,$linea);
		
	fclose($f); 
	$fichero = "exp/".$nombre_archivo.".txt";
	printf("<tr BGCOLOR='#e2e7fa'><td align='center'>3</td>");//numero
	
	if(!file_exists($fichero)) {
		printf("<td align='left'>El archivo no se gener&oacute; !, revise los par&aacute;metros</td>");//detalle
	} else {
		printf("<td align='left'>Archivo generado exitosamente !</td>");//detalle
	}
	printf("<td align='left'>%s</td>", substr($fichero,4));//nombre
	printf("<td align='right'>%s</td>", number_format($total_compras,$n_decimales));//compras
	printf("<td align='right'>%s</td>", number_format($total_ventas,$n_decimales));//ventas
	printf("<td align='center'><a href='descarga.php?fichero=$fichero' title='Guardar Archivo'><img src='../../Images/filesave.png' alt='Guardar Archivo' /></a></td></tr>");//guardar
  

} //fin if 2

?>

</body>
</html>
